osl::move_generator::GenerateCapture Struct Reference

Capture の Player で特殊化できないバージョン． More...

`#include <capture_.h>`

## Static Public Member Functions

template<class Action>
static void | generate (Player p, const NumEffectState &state, Square target, Action &action)
static void | generate (Player P, const NumEffectState &state, Square target, MoveVector &out)
static void | generate (const NumEffectState &state, Square target, MoveVector &out)
template<class Action>
static void | generate1 (Player p, const NumEffectState &state, Square target, Action &action)
static void | generate1 (Player P, const NumEffectState &state, Square target, MoveVector &out)
template<class Action>
static void | escapeByCapture (Player p, const NumEffectState &state, Square target, Piece piece, Action &action)

## Detailed Description

Capture の Player で特殊化できないバージョン．

Definition at line 46 of file capture_.h.

## Member Function Documentation

## escapeByCapture()

template<class Action>

void osl::move_generator::GenerateCapture::escapeByCapture | ( | Player | p,
|  | const NumEffectState & | state,
|  | Square | target,
|  | Piece | piece,
|  | Action & | action )

inline static

Definition at line 87 of file capture_.h.

References osl::BLACK, and escapeByCapture().

Referenced by escapeByCapture().

## generate() [1/3]

void osl::move_generator::GenerateCapture::generate | ( | const NumEffectState & | state,
|  | Square | target,
|  | MoveVector & | out )

inline static

Definition at line 64 of file capture_.h.

References generate(), and osl::SimpleState::turn().

## generate() [2/3]

template<class Action>

void osl::move_generator::GenerateCapture::generate | ( | Player | p,
|  | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action )

inline static

Definition at line 49 of file capture_.h.

References osl::BLACK, and generate().

Referenced by generate(), generate(), and generate().

## generate() [3/3]

void osl::move_generator::GenerateCapture::generate | ( | Player | P,
|  | const NumEffectState & | state,
|  | Square | target,
|  | MoveVector & | out )

inline static

Definition at line 57 of file capture_.h.

References generate().

## generate1() [1/2]

template<class Action>

void osl::move_generator::GenerateCapture::generate1 | ( | Player | p,
|  | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action )

inline static

Definition at line 70 of file capture_.h.

References osl::BLACK, and generate1().

Referenced by generate1(), and generate1().

## generate1() [2/2]

void osl::move_generator::GenerateCapture::generate1 | ( | Player | P,
|  | const NumEffectState & | state,
|  | Square | target,
|  | MoveVector & | out )

inline static

Definition at line 78 of file capture_.h.

References generate1().

The documentation for this struct was generated from the following file:

- capture_.h